<?php
require_once ('system/func.php');
auth(); // Закроем от не авторизованных
# Настройки #
$id = num($_GET['id']);
if($id){
$item = mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `id` = '".$id."' AND `id_user` = '$myID' and `odeta` = 'da'"));
# Ошибки #
if(!$item){
$_SESSION['msg'] == 'Такой вещи не существует';
header('Location: /smitch/');
exit();
}
$title = $item['name'];
require_once ('system/header.php');
## Тип вещи ##
switch($item['tip']){
case 'golova':
$tip = 'Голова';
break;
case 'plechi':
$tip = 'Плечи';
break;
case 'tors':
$tip = 'Торс';
break;
case 'perchatki':
$tip = 'Перчатки';
break;
case 'lev':
$tip = 'Левая рука';
break;
case 'prav':
$tip = 'Правая рука';
break;
case 'nogi':
$tip = 'ноги';
break;
case 'obuv':
$tip = 'Обувь';
break;
}

## Качество ## 
switch($item['skill']){
case '0':
$kachestvo = '<font color="green">Обычное</font>';
$bonus=10;

break;
case '100':
$kachestvo = '<font color="#1E90FF">Редкое</font>';
$bonus=20;
break;
case '500':
$kachestvo = '<font color="violet">Эпическое</font>';
$bonus=40;

break;
case '2500':
$kachestvo = '<font color="gold">Уникальное </font>';
$bonus=70;

break;

case '5000':
$kachestvo = '<font color="Darkorange">Легендарное </font>';
$bonus=100;

break;
}






if ($item['bonus'] < 10)
$bonus_cena=(1+$item['bonus'] )* 500;
if ($item['bonus'] >= 10 and $item['bonus'] <= 20)
$bonus_cena=(1+$item['bonus'] )* 750;
if ($item['bonus'] >= 20 and $item['bonus'] <= 30)
$bonus_cena=(1+$item['bonus'] )* 1250 ;
if ($item['bonus'] >= 30 and $item['bonus'] <= 50)
$bonus_cena=(1+$item['bonus'] )* 2000;
if ($item['bonus'] >= 50 and $item['bonus'] <= 70)
$bonus_cena=(1+$item['bonus'] )* 2500;
if ($item['bonus'] >= 70 and $item['bonus'] <= 90)
$bonus_cena=(1+$item['bonus'] )* 3500;
if ($item['bonus'] >=  90 and $item['bonus'] <= 100)
$bonus_cena=(1+$item['bonus'] )* 4000;
$bonus_cena /=2;



if(isset($_GET[up]) and $item[bonus]  < $bonus ){
if($user[gold] < $bonus_cena){
$_SESSION[msg] = " Нужно еще  ".ico('icons', 'gold.png')." ".($bonus_cena-$user[gold])." золота</font>";
header("Location: /ItemLvl/");
exit();
}

//Кампания
if($campaign['id_camp'] == 4)
mysql_query("UPDATE `campaign`  SET  `itemLvl`='".($campaign['itemLvl'] + 1)."'  WHERE `id_user`='".$myID."'");


mysql_query("update `inv` set `bonus` = '".($item[bonus]+1)."', `str` = '".($item[str]+2)."', `def` = '".($item[def]+2)."', `health` = '".($item[health]+2)."' where (`id` = '".$item['id']."')");
mysql_query("update `users` set `str` = '".($user[str]+2)."', `def` = '".($user[def]+2)."', `max_health` = '".($user[max_health]+2)."', `gold` = '".($user[gold]-$bonus_cena)."' where (`id` = '".$myID."')");
$_SESSION[msg] = ico('icons','level.png').' Уровень повышен  </div>';
header('Location: /ItemLvl/');
exit();
}
}else{
$title = 'Улучшение вещей';
require_once ('system/header.php');

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `inv` WHERE `id_user` = '$myID'"),0);
$q = mysql_fetch_assoc (mysql_query("SELECT * FROM `inv` WHERE `id_user` = '$myID' AND `odeta` = 'da'   ORDER BY `skill` DESC"));

echo "<div class='wrapper'> <img src='/images/other/ItemLvl.jpeg'> </span></s></div>"; 


if($q == 0) echo div('header')." Доступных вещей на повышение нету ";


$q = mysql_query("SELECT * FROM `inv` WHERE `id_user` = '$myID' AND `odeta` = 'da'   ORDER BY `level` DESC");
while($post = mysql_fetch_assoc($q)) {
    

echo "<div class='wrapper'>";
echo "<li><img src='/images/items/$post[tip]/$post[item].png'>";
switch($post['skill']){
case '0':
$color = '<font color="green">';
$bonus=10;

break;
case '100':
$color = '<font color="#1E90FF">';
$bonus=20;
break;
case '500':
$color = '<font color="violet">';
$bonus=40;

break;
case '2500':
$color = '<font color="gold"> ';
$bonus=70;

break;

case '5000':
$color = '<font color="Darkorange"> ';
$bonus=100;

break;
}


if ($post['bonus'] < 10)
$bonus_cena=(1+$post['bonus'] )* 500;
if ($post['bonus'] >= 10 and $post['bonus'] <= 20)
$bonus_cena=(1+$post['bonus'] )* 750;
if ($post['bonus'] >= 20 and $post['bonus'] <= 30)
$bonus_cena=(1+$post['bonus'] )* 1250 ;
if ($post['bonus'] >= 30 and $post['bonus'] <= 50)
$bonus_cena=(1+$post['bonus'] )* 2000;
if ($post['bonus'] >= 50 and $post['bonus'] <= 70)
$bonus_cena=(1+$post['bonus'] )* 2500;
if ($post['bonus'] >= 70 and $post['bonus'] <= 90)
$bonus_cena=(1+$post['bonus'] )* 3500;
if ($post['bonus'] >=  90 and $post['bonus'] <= 100)
$bonus_cena=(1+$post['bonus'] )* 4000;
$bonus_cena /=2;





if($post[bonus] >= 0)echo "  <span class='info' style='float:right;'>  $color ".ico('icons', 'level.png')." $post[bonus]</font></span>";
echo "<span class='item-".skill($post['skill'])."'><small>$color$post[name]</small></font></span></a></li>";
if($post[bonus]  < $bonus ){



echo "<center><div class='btn_grey'><span class='cb_end'><span class='cb_ttl'><a href='/ItemLvl/$post[id]/?up'>Улучшить   ".ico('icons', 'gold.png')." $bonus_cena</div><span></span></a></div>";
}else{
 echo"<center><div class='btn_grey'><span class='cb_end'><span class='cb_ttl'><a href='?' > Максимальный бонус </div></span></span> </a></div>";
 
}





}


echo "</div></div>";

echo"<div class='header'>Новый ".ico('icons', 'level.png')."уровень вещи добавляет +2 к каждому параметру вещи</div> ";

require_once ('system/footer.php');
}
?>
